Botan 2.19.5 Crypto and TLS for C&

Public Member Functions | List of all members
Botan::EMSA_Raw Class Referencefinal

`#include <emsa_raw.h>`

Inheritance diagram for Botan::EMSA_Raw:

## Public Member Functions
EMSA * | clone () override
virtual AlgorithmIdentifier | config_for_x509 (const Private_Key &key, const std::string &cert_hash_name) const
| EMSA_Raw (size_t expected_hash_size=0)
std::string | name () const override

## Detailed Description

EMSA-Raw - sign inputs directly Don't use this unless you know what you are doing.

Definition at line 21 of file emsa_raw.h.

## Constructor & Destructor Documentation

## ◆ EMSA_Raw()

Botan::EMSA_Raw::EMSA_Raw | ( | size_t | expected_hash_size = `0` | ) |
| inline explicit

Definition at line 26 of file emsa_raw.h.

26 :
27 m_expected_size(expected_hash_size) {}

## Member Function Documentation

## ◆ clone()

EMSA * Botan::EMSA_Raw::clone | ( |  | ) |
| inline override virtual

Returns
  a new object representing the same encoding method as *this

Implements Botan::EMSA.

Definition at line 24 of file emsa_raw.h.

24{ return new EMSA_Raw(); }
Botan::EMSA_Raw::EMSA_Raw
EMSA_Raw(size_t expected_hash_size=0)
Definition: emsa_raw.h:26

## ◆ config_for_x509()

AlgorithmIdentifier Botan::EMSA::config_for_x509 | ( | const Private_Key & | key,
|  | const std::string & | cert_hash_name
| ) |  | const
| virtual inherited

Prepare sig_algo for use in choose_sig_format for x509 certs

Parameters

  key | used for checking compatibility with the encoding scheme
  cert_hash_name | is checked to equal the hash for the encoding

Returns
  algorithm identifier to signatures created using this key, padding method and hash.

Reimplemented in Botan::EMSA1, Botan::EMSA_PKCS1v15, and Botan::PSSR.

Definition at line 38 of file emsa.cpp.

40 {
41 throw Not_Implemented("Encoding " + name() + " not supported for signing X509 objects");
42 }
Botan::EMSA::name
virtual std::string name() const =0

References Botan::EMSA::name().

## ◆ name()

std::string Botan::EMSA_Raw::name | ( |  | ) | const
| override virtual

Returns
  the SCAN name of the encoding/padding scheme

Implements Botan::EMSA.

Definition at line 13 of file emsa_raw.cpp.

14 {
15 if(m_expected_size > 0)
16 return "Raw(" + std::to_string(m_expected_size) + ")";
17 return "Raw";
18 }
Botan::ASN1::to_string
std::string to_string(const BER_Object &obj)
Definition: asn1_obj.cpp:213

References Botan::ASN1::to_string().

The documentation for this class was generated from the following files:

- src/lib/pk_pad/emsa_raw/emsa_raw.h
- src/lib/pk_pad/emsa_raw/emsa_raw.cpp